#!/bin/sh

normpath() {
	pushd $1 > /dev/null
	echo `pwd`
	popd > /dev/null
}

RESOURCES=`dirname $1`
APP_PATH=`normpath $RESOURCES/../..`

TMP_PATH=`dirname $2`
ARCHIVE=`basename $2`

case "$ARCHIVE" in
	*.zip)
		pushd $TMP_PATH > /dev/null
		mkdir extract
		cd extract
		unzip -qn ../$ARCHIVE
		NEW=`find . -type d -maxdepth 1 -name '*.app'`
		rm -rf $APP_PATH/* && cp -pRP $NEW/* $APP_PATH/ && rm -rf $NEW
		cd ..
		rm -rf extract
		open $APP_PATH
		popd > /dev/null
		;;
	*.tar.gz|*.tgz)
		pushd $APP_PATH > /dev/null
		tar --strip-components=1 zxf $2
		open .
		popd > /dev/null
		;;
esac
